Update a tool
curl --request PUT \
--url https://api.kataven.ai/v1/api/v1/tools/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Updated description after Q2 schema change.",
"implementation_code": "<string>",
"implementation_config": {},
"schema": {},
"tags": [
"orders",
"ecommerce",
"q2"
]
}
'import requests
url = "https://api.kataven.ai/v1/api/v1/tools/{id}"
payload = {
"description": "Updated description after Q2 schema change.",
"implementation_code": "<string>",
"implementation_config": {},
"schema": {},
"tags": ["orders", "ecommerce", "q2"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Updated description after Q2 schema change.',
implementation_code: '<string>',
implementation_config: {},
schema: {},
tags: ['orders', 'ecommerce', 'q2']
})
};
fetch('https://api.kataven.ai/v1/api/v1/tools/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}"<string>""<string>""<string>"Tools
Update a tool
Patches description / schema / implementation_config / implementation_code / tags. Default tools are flipped to modified_from_default=TRUE so re-seeds skip them.
PUT
/
api
/
v1
/
tools
/
{id}
Update a tool
Authorizations
Headers
Tenant database. Required when using a Zitadel JWT.
Path Parameters
Tool id
Body
application/json
Fields to update
Response
OK

